/**
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.jdbm;

import jdbm.btree.BTree;
import jdbm.helper.Tuple;
import jdbm.helper.TupleBrowser;
import junit.framework.TestCase;

/**
 * @version $Revision: 1.1 $
 */
public class OrderTest extends TestCase {
    private JdbmPersistenceAdapter manager;
    private BTree table;

    public void testOrder() throws Exception {
        manager = (JdbmPersistenceAdapter) JdbmQueueMessageContainerTest.makePersistenceAdapter(getName());
        manager.start();

        table = manager.createDatabase(getName());

        table.insert(new Long(123), "FOO", true);
        table.insert(new Long(124), "BAR", true);
        table.insert(new Long(125), "XYZ", true);
        table.insert(new Long(126), "ABC", true);
        table.insert(new Long(127), "DEF", true);

        Tuple tuple = new Tuple();
        TupleBrowser iter = table.browse();
        while (iter.getNext(tuple)) {
            Object key = tuple.getKey();
            System.out.println("Key " + key);
        }
        manager.stop();
    }
}
